﻿@using System.Web.UI.WebControls;
@using Portal.Models.DCLScreen;

@model List<DCLScreenMasterDetail>

@{
    DCLScreenMasterDetail detail = Model[0];
    
}

 <div style="margin:10px 10px 10px 0px">
    <table border=0>
        <tr>
            <td>
                <div style="display:inline-block">
                    <label for="PickUpDate">Pick Up Date</label>
                </div>
            </td>
            <td width ="200px" >
                <div style="display:inline-block">
                    @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "date";
                            settings.Width = Unit.Pixel(70);
                            settings.ReadOnly = true;
                            settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                        }
                                 ).Bind(detail.date).GetHtml()
                </div>
            </td>
            <td >
                <div style="display:inline-block">
                    <label for="Company">Company</label>
                </div>
            </td>
            <td width ="200px">
                <div style="display:inline-block">
                    @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "AddCompany";
                            settings.Width = Unit.Pixel(200);
                            settings.ReadOnly = true;
                            settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                        }
                                ).Bind(detail.SUPPLIER_NAME).GetHtml()
                </div>
            </td>
            @*<td rowspan="3" valign="top">
                <div style="border:2px solid black;width:auto;padding:20px 20px 20px 20px;">
                    @Html.DevExpress().Label(
                        settings =>
                        {
                            settings.Name = "AddType";
                            settings.ControlStyle.Font.Bold = true;
                            settings.ControlStyle.Font.Size = 12;
                        
                        }

                                      ).Bind(detail.TYPE).GetHtml()
                </div>
            </td>
            <td rowspan="3" valign="top" align="right">
                MML20121110RS2802<br />
                <img src="@Url.Content("~/Content/Images/barcode.jpg")" width="272" height="52"/>
            </td>*@
             <td rowspan="3" valign="top" align="right" width="100">
                <div style="border:2px solid black;width:auto;padding:20px 20px 20px 20px;">
                    REGULAR
                </div>
            </td>

        </tr>
        <tr>
            <td>
                <div style="display:inline-block">
                    <label for="RouteName">Route Name</label>
                </div>
            </td>
            <td>
                <div style="display:inline-block">
                    @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "AddRouteName";
                            settings.Width = Unit.Pixel(70);
                            settings.ReadOnly = true;
                            settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                        }
                                      ).Bind(detail.Route).GetHtml()
                </div>
            </td>
            <td>
                <div style="display:inline-block">
                    <label for="DriveName">Drive Name</label>
                </div>
            </td>
            <td>
                <div style="display:inline-block">
                    @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "AddDriveName";
                            settings.Width = Unit.Pixel(200);
                            settings.ReadOnly = true;
                            settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                        }
                                      ).Bind(detail.DRIVER_NAME).GetHtml()
                </div>
            </td>
            
        </tr>
        <tr>
            <td>
            
            </td>
            <td>
            
            </td>
            <td valign = "top">
                <div style="display:inline-block">
                    <label for="Tripno">Trip No</label>
                </div>
            </td>
            <td valign = "top">
                <div style="display:inline-block">
                    @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "AddTripNo";
                            settings.Width = Unit.Pixel(50);
                            settings.ReadOnly = true;
                            settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                        }
                                      ).Bind(detail.rate).GetHtml()
                </div>
            </td>
            
        </tr>
    </table>
    
 </div>
            
 @*--- wot.dwi 27/11/2012  *@


 @Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "DCLScreenDetail_" + ViewData["Name"];
        settings.SettingsDetail.MasterGridName = "LPOPDetail";
        settings.CallbackRouteValues = new { Controller = "DCLScreen", Action = "SearchDCLAddDetail", ID = ViewData["Name"] };
        settings.Width = Unit.Percentage(100);
        settings.KeyFieldName = "AddPickUpDate";
        settings.Settings.ShowHorizontalScrollBar = true;
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "SUPPCD";
                setting.Caption = "Supplier Code";
            //    setting.Width = Unit.Pixel(90);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Left;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "SUPPLIER_NAME";
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.Caption = "Supplier Name";
                setting.Width = Unit.Pixel(400);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Left;
            }
        );
        settings.Columns.AddBand(
            setting =>
            {
                setting.Caption = "Time and Info Control";
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.Columns.AddBand(
                        dsetting =>
                        {
                            //dsetting.Caption = "Arrival";
                            //dsetting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                            //dsetting.Name = = "ARRVDATETIME";
                            dsetting.Caption = "Arrival Plan";
                            dsetting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                            dsetting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            /*dsetting.Columns.Add(
                                    dcolumns =>
                                    {
                                        dcolumns.FieldName = "ARRVDATETIME";
                                        dcolumns.Caption = "Plan";
                                        dcolumns.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                                        dcolumns.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                     //   dcolumns.Width = Unit.Pixel(100);
                                    }

                                );*/
                            //dsetting.Columns.Add(
                            //        dcolumns =>
                            //        {
                            //            dcolumns.FieldName = "ARRVDATETIME";
                            //            dcolumns.Caption = "Actual";
                            //            dcolumns.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                            //            dcolumns.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            //       //     dcolumns.Width = Unit.Pixel(100);
                            //        }

                            //    );
                        }
                    );
                setting.Columns.AddBand(
                        dsetting =>
                        {
                            dsetting.Caption = "Departure";
                            dsetting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                            dsetting.Columns.Add(
                                    dcolumns =>
                                    {
                                        dcolumns.FieldName = "DPTDATETIME";
                                        dcolumns.Caption = "Plan";
                                        dcolumns.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                                        dcolumns.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                    //    dcolumns.Width = Unit.Pixel(100);
                                    }

                                );
                            //dsetting.Columns.Add(
                            //        dcolumns =>
                            //        {
                            //            dcolumns.FieldName = "DPTDATETIME";
                            //            dcolumns.Caption = "Actual";
                            //            dcolumns.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                            //            dcolumns.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            //   //         dcolumns.Width = Unit.Pixel(100);
                            //        }

                            //    );
                        }
                    );
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "ORDDATE";
                setting.Caption = "Order No";
           //     setting.Width = Unit.Pixel(100);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Left;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "SUPPPLANTCD";
                setting.Caption = "Check";
          //      setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Right;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "RCVCOMPDOCKCD";
                setting.Caption = "Dock Code";
         //       setting.Width = Unit.Pixel(70);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Left;
            }
        );
        @*
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "AddSkid";
                setting.Caption = "# of Skid";
                setting.Width = Unit.Pixel(70);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );  *@
     
        settings.Settings.ShowFilterRow = true;
        settings.Settings.ShowFilterRowMenu = true;
        //settings.Settings.ShowVerticalScrollBar = true;
        settings.Settings.VerticalScrollableHeight = 250;
        settings.SettingsDetail.AllowOnlyOneMasterRowExpanded = true;
        settings.SettingsDetail.ShowDetailRow = false;

        settings.Settings.ShowFilterRow = true;
        settings.SettingsPager.PageSize = 10;
        settings.SettingsPager.PageSizeItemSettings.Visible = true;

        settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        settings.SettingsPager.FirstPageButton.Visible = true;
        settings.SettingsPager.LastPageButton.Visible = true;
    }).Bind(Model).GetHtml()
    